import { createCookie } from "@/actions/handleCookie"
import NextAuth from "next-auth"
import Credentials from "next-auth/providers/credentials"
 
export const { handlers, signIn, signOut, auth } = NextAuth({
  providers: [
    Credentials({
      credentials: {
        credencial: {},
        senha: {}
      },
      authorize: async (credentials) => {
        
        let response =  await fetch("https://frotas-api.app.fslab.dev/login", {
          method: 'POST',
          headers: {
            "Content-Type": "application/json"
          },
          body: JSON.stringify({
            credencial: credentials.credencial,
            senha: credentials.senha
          })
        })

        let data = await response.json()

        if (!data.error) {
          // TODO: criar o arquivo handleCookie => cookie http only
          await createCookie("access_token", data.data.token, data.data.payload.exp);
          return {
            ...data.data.payload
          }
        }

        return null

      }

    })
  ],
})